<template>
  <div>
    <label for="todo-input">Add new Todo:</label>
    <input type="text" v-model="todo" placeholder="Write your Todo here" />
    <button @click="onSubmit">Submit</button>
  </div>
</template>

<script setup>
import { ref } from 'vue'
import { useStore } from 'vuex'

const store = useStore()
const todo = ref('')
const onSubmit = () => {
  store.commit('createTodo', todo.value)
  todo.value = ''
}
</script>

<style scoped></style>
